// Automatically generated file. DO NOT EDIT.
// Generated by gen-device-svd.go from stm32mp157.svd, see https://github.com/tinygo-org/stm32-svd

// STM32MP157x
//


.syntax unified

// This is the default handler for interrupts, if triggered but not defined.
.section .text.Default_Handler
.global  Default_Handler
.type    Default_Handler, %function
Default_Handler:
    wfe
    b    Default_Handler
.size Default_Handler, .-Default_Handler

// Avoid the need for repeated .weak and .set instructions.
.macro IRQ handler
    .weak  \handler
    .set   \handler, Default_Handler
.endm

// Must set the "a" flag on the section:
// https://svnweb.freebsd.org/base/stable/11/sys/arm/arm/locore-v4.S?r1=321049&r2=321048&pathrev=321049
// https://sourceware.org/binutils/docs/as/Section.html#ELF-Version
.section .isr_vector, "a", %progbits
.global  __isr_vector
__isr_vector:
    // Interrupt vector as defined by Cortex-M, starting with the stack top.
    // On reset, SP is initialized with *0x0 and PC is loaded with *0x4, loading
    // _stack_top and Reset_Handler.
    .long _stack_top
    .long Reset_Handler
    .long NMI_Handler
    .long HardFault_Handler
    .long MemoryManagement_Handler
    .long BusFault_Handler
    .long UsageFault_Handler
    .long 0
    .long 0
    .long 0
    .long 0
    .long SVC_Handler
    .long DebugMon_Handler
    .long 0
    .long PendSV_Handler
    .long SysTick_Handler

    // Extra interrupts for peripherals defined by the hardware vendor.
    .long WWDG1_IT_IRQHandler
    .long PVD_AVD_IRQHandler
    .long TAMP_IRQHandler
    .long RTC_WKUP_ALARM_IRQHandler
    .long TZC_IT_IRQHandler
    .long RCC_IRQHandler
    .long EXTI0_IRQHandler
    .long EXTI1_IRQHandler
    .long EXTI2_IRQHandler
    .long EXTI3_IRQHandler
    .long EXTI4_IRQHandler
    .long DMA1_STR0_IRQHandler
    .long DMA1_STR1_IRQHandler
    .long DMA1_STR2_IRQHandler
    .long DMA1_STR3_IRQHandler
    .long DMA1_STR4_IRQHandler
    .long DMA1_STR5_IRQHandler
    .long DMA1_STR6_IRQHandler
    .long ADC1_IRQHandler
    .long FDCAN1_IT0_IRQHandler
    .long FDCAN2_IT0_IRQHandler
    .long FDCAN1_IT1_IRQHandler
    .long FDCAN2_IT1_IRQHandler
    .long EXTI5_IRQHandler
    .long TIM1_BRK_IRQHandler
    .long TIM1_UP_IRQHandler
    .long TIM1_TRG_COM_IRQHandler
    .long TIM1_CC_IRQHandler
    .long TIM2_IRQHandler
    .long TIM3_IRQHandler
    .long TIM4_IRQHandler
    .long I2C1_EVT_IRQHandler
    .long I2C1_ERR_IRQHandler
    .long I2C2_EVT_IRQHandler
    .long I2C2_ERR_IRQHandler
    .long SPI1_IRQHandler
    .long SPI2_IRQHandler
    .long USART1_IRQHandler
    .long USART2_IRQHandler
    .long USART3_IRQHandler
    .long EXTI10_IRQHandler
    .long RTC_TS_IRQHandler
    .long EXTI11_IRQHandler
    .long TIM8_BRK_IRQHandler
    .long TIM8_UP_IRQHandler
    .long TIM8_TRG_COM_IRQHandler
    .long TIM8_CC_IRQHandler
    .long DMA1_STR7_IRQHandler
    .long FMC_IRQHandler
    .long SDMMC1_IRQHandler
    .long TIM5_IRQHandler
    .long SPI3_IRQHandler
    .long USART4_IRQHandler
    .long USART5_IRQHandler
    .long TIM6_IRQHandler
    .long TIM7_IRQHandler
    .long DMA2_STR0_IRQHandler
    .long DMA2_STR1_IRQHandler
    .long DMA2_STR2_IRQHandler
    .long DMA2_STR3_IRQHandler
    .long DMA2_STR4_IRQHandler
    .long ETH1_IRQHandler
    .long ETH1_WKUP_IRQHandler
    .long 0
    .long EXTI6_IRQHandler
    .long EXTI7_IRQHandler
    .long EXTI8_IRQHandler
    .long EXTI9_IRQHandler
    .long DMA2_STR5_IRQHandler
    .long DMA2_STR6_IRQHandler
    .long DMA2_STR7_IRQHandler
    .long USART6_IRQHandler
    .long I2C3_EVT_IRQHandler
    .long I2C3_ERR_IRQHandler
    .long 0
    .long 0
    .long EXTI12_IRQHandler
    .long EXTI13_IRQHandler
    .long DCMI_IRQHandler
    .long CRYP1_IRQHandler
    .long HASH1_IRQHandler
    .long 0
    .long USART7_IRQHandler
    .long USART8_IRQHandler
    .long SPI4_IRQHandler
    .long SPI5_IRQHandler
    .long SPI6_IRQHandler
    .long SAI1_IRQHandler
    .long LTDC_IRQHandler
    .long LTDC_ER_IRQHandler
    .long ADC2_IRQHandler
    .long SAI2_IRQHandler
    .long QUADSPI_IRQHandler
    .long LPTIM1_IRQHandler
    .long CEC_IRQHandler
    .long I2C4_EVT_IRQHandler
    .long I2C4_ERR_IRQHandler
    .long SPDIFRX_IRQHandler
    .long OTG_IRQHandler
    .long 0
    .long IPCC_RX0_IRQHandler
    .long IPCC_TX0_IRQHandler
    .long DMAMUX1_OVR_REQ_IRQHandler
    .long IPCC_RX1_IRQHandler
    .long IPCC_TX1_IRQHandler
    .long CRYP2_IRQHandler
    .long HASH2_IRQHandler
    .long I2C5_EVT_IRQHandler
    .long I2C5_ERR_IRQHandler
    .long 0
    .long DFSDM1_FLT0_IRQHandler
    .long DFSDM1_FLT1_IRQHandler
    .long DFSDM1_FLT2_IRQHandler
    .long DFSDM1_FLT3_IRQHandler
    .long SAI3_IRQHandler
    .long DFSDM1_FLT4_IRQHandler
    .long TIM15_IRQHandler
    .long TIM16_IRQHandler
    .long TIM17_IRQHandler
    .long TIM12_IRQHandler
    .long MDIOS_IRQHandler
    .long EXTI14_IRQHandler
    .long MDMA_IRQHandler
    .long DSI_IRQHandler
    .long SDMMC2_IRQHandler
    .long HSEM_IT2_IRQHandler
    .long DFSDM1_FLT5_IRQHandler
    .long EXTI15_IRQHandler
    .long 0
    .long 0
    .long TIM13_IRQHandler
    .long TIM14_IRQHandler
    .long DAC_IRQHandler
    .long RNG1_IRQHandler
    .long RNG2_IRQHandler
    .long I2C6_EVT_IRQHandler
    .long I2C6_ERR_IRQHandler
    .long SDMMC3_IRQHandler
    .long LPTIM2_IRQHandler
    .long LPTIM3_IRQHandler
    .long LPTIM4_IRQHandler
    .long LPTIM5_IRQHandler
    .long ETH1_LPI_IRQHandler
    .long 0
    .long 0
    .long RCC_WAKEUP_IRQHandler
    .long SAI4_IRQHandler
    .long DTS_IRQHandler
    .long 0
    .long 0
    .long IWDG1_IT_IRQHandler
    .long IWDG2_IT_IRQHandler
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long TAMP_S_IRQHandler
    .long RTC_WKUP_ALARM_S_IRQHandler
    .long RTC_TS_S_IRQHandler
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long 0
    .long DDRPERFM_IRQHandler

    // Define default implementations for interrupts, redirecting to
    // Default_Handler when not implemented.
    IRQ NMI_Handler
    IRQ HardFault_Handler
    IRQ MemoryManagement_Handler
    IRQ BusFault_Handler
    IRQ UsageFault_Handler
    IRQ SVC_Handler
    IRQ DebugMon_Handler
    IRQ PendSV_Handler
    IRQ SysTick_Handler
    IRQ WWDG1_IT_IRQHandler
    IRQ PVD_AVD_IRQHandler
    IRQ TAMP_IRQHandler
    IRQ RTC_WKUP_ALARM_IRQHandler
    IRQ TZC_IT_IRQHandler
    IRQ RCC_IRQHandler
    IRQ EXTI0_IRQHandler
    IRQ EXTI1_IRQHandler
    IRQ EXTI2_IRQHandler
    IRQ EXTI3_IRQHandler
    IRQ EXTI4_IRQHandler
    IRQ DMA1_STR0_IRQHandler
    IRQ DMA1_STR1_IRQHandler
    IRQ DMA1_STR2_IRQHandler
    IRQ DMA1_STR3_IRQHandler
    IRQ DMA1_STR4_IRQHandler
    IRQ DMA1_STR5_IRQHandler
    IRQ DMA1_STR6_IRQHandler
    IRQ ADC1_IRQHandler
    IRQ FDCAN1_IT0_IRQHandler
    IRQ FDCAN2_IT0_IRQHandler
    IRQ FDCAN1_IT1_IRQHandler
    IRQ FDCAN2_IT1_IRQHandler
    IRQ EXTI5_IRQHandler
    IRQ TIM1_BRK_IRQHandler
    IRQ TIM1_UP_IRQHandler
    IRQ TIM1_TRG_COM_IRQHandler
    IRQ TIM1_CC_IRQHandler
    IRQ TIM2_IRQHandler
    IRQ TIM3_IRQHandler
    IRQ TIM4_IRQHandler
    IRQ I2C1_EVT_IRQHandler
    IRQ I2C1_ERR_IRQHandler
    IRQ I2C2_EVT_IRQHandler
    IRQ I2C2_ERR_IRQHandler
    IRQ SPI1_IRQHandler
    IRQ SPI2_IRQHandler
    IRQ USART1_IRQHandler
    IRQ USART2_IRQHandler
    IRQ USART3_IRQHandler
    IRQ EXTI10_IRQHandler
    IRQ RTC_TS_IRQHandler
    IRQ EXTI11_IRQHandler
    IRQ TIM8_BRK_IRQHandler
    IRQ TIM8_UP_IRQHandler
    IRQ TIM8_TRG_COM_IRQHandler
    IRQ TIM8_CC_IRQHandler
    IRQ DMA1_STR7_IRQHandler
    IRQ FMC_IRQHandler
    IRQ SDMMC1_IRQHandler
    IRQ TIM5_IRQHandler
    IRQ SPI3_IRQHandler
    IRQ USART4_IRQHandler
    IRQ USART5_IRQHandler
    IRQ TIM6_IRQHandler
    IRQ TIM7_IRQHandler
    IRQ DMA2_STR0_IRQHandler
    IRQ DMA2_STR1_IRQHandler
    IRQ DMA2_STR2_IRQHandler
    IRQ DMA2_STR3_IRQHandler
    IRQ DMA2_STR4_IRQHandler
    IRQ ETH1_IRQHandler
    IRQ ETH1_WKUP_IRQHandler
    IRQ EXTI6_IRQHandler
    IRQ EXTI7_IRQHandler
    IRQ EXTI8_IRQHandler
    IRQ EXTI9_IRQHandler
    IRQ DMA2_STR5_IRQHandler
    IRQ DMA2_STR6_IRQHandler
    IRQ DMA2_STR7_IRQHandler
    IRQ USART6_IRQHandler
    IRQ I2C3_EVT_IRQHandler
    IRQ I2C3_ERR_IRQHandler
    IRQ EXTI12_IRQHandler
    IRQ EXTI13_IRQHandler
    IRQ DCMI_IRQHandler
    IRQ CRYP1_IRQHandler
    IRQ HASH1_IRQHandler
    IRQ USART7_IRQHandler
    IRQ USART8_IRQHandler
    IRQ SPI4_IRQHandler
    IRQ SPI5_IRQHandler
    IRQ SPI6_IRQHandler
    IRQ SAI1_IRQHandler
    IRQ LTDC_IRQHandler
    IRQ LTDC_ER_IRQHandler
    IRQ ADC2_IRQHandler
    IRQ SAI2_IRQHandler
    IRQ QUADSPI_IRQHandler
    IRQ LPTIM1_IRQHandler
    IRQ CEC_IRQHandler
    IRQ I2C4_EVT_IRQHandler
    IRQ I2C4_ERR_IRQHandler
    IRQ SPDIFRX_IRQHandler
    IRQ OTG_IRQHandler
    IRQ IPCC_RX0_IRQHandler
    IRQ IPCC_TX0_IRQHandler
    IRQ DMAMUX1_OVR_REQ_IRQHandler
    IRQ IPCC_RX1_IRQHandler
    IRQ IPCC_TX1_IRQHandler
    IRQ CRYP2_IRQHandler
    IRQ HASH2_IRQHandler
    IRQ I2C5_EVT_IRQHandler
    IRQ I2C5_ERR_IRQHandler
    IRQ DFSDM1_FLT0_IRQHandler
    IRQ DFSDM1_FLT1_IRQHandler
    IRQ DFSDM1_FLT2_IRQHandler
    IRQ DFSDM1_FLT3_IRQHandler
    IRQ SAI3_IRQHandler
    IRQ DFSDM1_FLT4_IRQHandler
    IRQ TIM15_IRQHandler
    IRQ TIM16_IRQHandler
    IRQ TIM17_IRQHandler
    IRQ TIM12_IRQHandler
    IRQ MDIOS_IRQHandler
    IRQ EXTI14_IRQHandler
    IRQ MDMA_IRQHandler
    IRQ DSI_IRQHandler
    IRQ SDMMC2_IRQHandler
    IRQ HSEM_IT2_IRQHandler
    IRQ DFSDM1_FLT5_IRQHandler
    IRQ EXTI15_IRQHandler
    IRQ TIM13_IRQHandler
    IRQ TIM14_IRQHandler
    IRQ DAC_IRQHandler
    IRQ RNG1_IRQHandler
    IRQ RNG2_IRQHandler
    IRQ I2C6_EVT_IRQHandler
    IRQ I2C6_ERR_IRQHandler
    IRQ SDMMC3_IRQHandler
    IRQ LPTIM2_IRQHandler
    IRQ LPTIM3_IRQHandler
    IRQ LPTIM4_IRQHandler
    IRQ LPTIM5_IRQHandler
    IRQ ETH1_LPI_IRQHandler
    IRQ RCC_WAKEUP_IRQHandler
    IRQ SAI4_IRQHandler
    IRQ DTS_IRQHandler
    IRQ IWDG1_IT_IRQHandler
    IRQ IWDG2_IT_IRQHandler
    IRQ TAMP_S_IRQHandler
    IRQ RTC_WKUP_ALARM_S_IRQHandler
    IRQ RTC_TS_S_IRQHandler
    IRQ DDRPERFM_IRQHandler
